C3P0RegistryManager (c3p0-0.9.5.5 API Documentation)
Date: 2019-12-11

com.mchange.v2.c3p0.management

## Class C3P0RegistryManager

- java.lang.Object
- - com.mchange.v2.c3p0.management.C3P0RegistryManager

- All Implemented Interfaces:
    C3P0RegistryManagerMBean

      public class C3P0RegistryManager
      extends java.lang.Object
      implements C3P0RegistryManagerMBean

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `C3P0RegistryManager()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getAllIdentityTokenCount()`
    `java.util.Set` | `getAllIdentityTokenized()`
    `int` | `getAllIdentityTokenizedCount()`
    `java.lang.String[]` | `getAllIdentityTokenizedStringified()`
    `java.lang.String[]` | `getAllIdentityTokens()`
    `java.util.Set` | `getAllPooledDataSources()`
    `int` | `getAllPooledDataSourcesCount()`
    `java.lang.String[]` | `getAllPooledDataSourcesStringified()`
    `java.lang.String` | `getC3p0Version()`
    `int` | `getNumPooledDataSources()`
    `int` | `getNumPoolsAllDataSources()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### C3P0RegistryManager

          public C3P0RegistryManager()

  - ### Method Detail

    - #### getAllIdentityTokens

          public java.lang.String[] getAllIdentityTokens()

      Specified by:
        `getAllIdentityTokens` in interface `C3P0RegistryManagerMBean`

    - #### getAllIdentityTokenized

          public java.util.Set getAllIdentityTokenized()

      Specified by:
        `getAllIdentityTokenized` in interface `C3P0RegistryManagerMBean`

    - #### getAllPooledDataSources

          public java.util.Set getAllPooledDataSources()

      Specified by:
        `getAllPooledDataSources` in interface `C3P0RegistryManagerMBean`

    - #### getAllIdentityTokenCount

          public int getAllIdentityTokenCount()

      Specified by:
        `getAllIdentityTokenCount` in interface `C3P0RegistryManagerMBean`

    - #### getAllIdentityTokenizedCount

          public int getAllIdentityTokenizedCount()

      Specified by:
        `getAllIdentityTokenizedCount` in interface `C3P0RegistryManagerMBean`

    - #### getAllPooledDataSourcesCount

          public int getAllPooledDataSourcesCount()

      Specified by:
        `getAllPooledDataSourcesCount` in interface `C3P0RegistryManagerMBean`

    - #### getAllIdentityTokenizedStringified

          public java.lang.String[] getAllIdentityTokenizedStringified()

      Specified by:
        `getAllIdentityTokenizedStringified` in interface `C3P0RegistryManagerMBean`

    - #### getAllPooledDataSourcesStringified

          public java.lang.String[] getAllPooledDataSourcesStringified()

      Specified by:
        `getAllPooledDataSourcesStringified` in interface `C3P0RegistryManagerMBean`

    - #### getNumPooledDataSources

          public int getNumPooledDataSources()
                                      throws java.sql.SQLException

      Specified by:
        `getNumPooledDataSources` in interface `C3P0RegistryManagerMBean`
      Throws:
        `java.sql.SQLException`

    - #### getNumPoolsAllDataSources

          public int getNumPoolsAllDataSources()
                                        throws java.sql.SQLException

      Specified by:
        `getNumPoolsAllDataSources` in interface `C3P0RegistryManagerMBean`
      Throws:
        `java.sql.SQLException`

    - #### getC3p0Version

          public java.lang.String getC3p0Version()

      Specified by:
        `getC3p0Version` in interface `C3P0RegistryManagerMBean`